Public Member Functions

# wxDataViewIconTextRenderer Class Reference
[wxDataViewCtrl Related Classes]

`#include <wx/dataview.h>`

Inheritance diagram for wxDataViewIconTextRenderer:
[legend]

## Detailed Description

The wxDataViewIconTextRenderer class is used to display text with a small icon next to it as it is typically done in a file manager.

This classes uses the wxDataViewIconText helper class to store its data. wxDataViewIconText can be converted to and from a wxVariant using the left shift operator.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions
| wxDataViewIconTextRenderer (const wxString &varianttype="wxDataViewIconText", wxDataViewCellMode mode=wxDATAVIEW_CELL_INERT, int align=wxDVR_DEFAULT_ALIGNMENT)
| The ctor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewIconTextRenderer::wxDataViewIconTextRenderer | ( | const wxString & | varianttype = `"wxDataViewIconText"`,
|  | wxDataViewCellMode | mode = `wxDATAVIEW_CELL_INERT`,
|  | int | align = `wxDVR_DEFAULT_ALIGNMENT` |
| ) |  |  |

The ctor.

|  | [ top ]